# Creating MLflow deployment
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ol-monitoring-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ol-monitoring-deployment
  template:
    metadata:
      labels:
        app: ol-monitoring-deployment
    spec:
      containers:
      - name: ol-monitoring-deployment
        image: docker2atos/ol-monitoring:v2
        imagePullPolicy: Always
        ports:
        - name: http
          containerPort: 5100
          protocol: TCP
---
apiVersion: v1
kind: Service
metadata:
  name: ol-monitoring-service
spec:
  type: ClusterIP
  ports:
    - port: 5100
      targetPort: 5100
      protocol: TCP
      name: http
  selector:
    app: ol-monitoring-deployment